// FUNCAO: DISPARAR PARA OS BANCOS, VIA LINK
// CRIADO EM:     26/05/2015 - Por: Joao
// MODIFICADO EM: 29/05/2015 - Por: Joao

#Include "FiveWin.Ch"

STATIC oWnd

FUNCTION Main()

   Local oDlg, oFont, oFnt, oCef, cCef, cCaixa, oCefIntBank, cCefIntBank, ;
         cCaixaIntBank, oBradesco, cBradesco, cLinkBrad, oBradIntBank,    ;
         cBradIntBank, cLinkBradIntBank, oItau, cItau, cLinkItau,         ;
         oItauIntBank, cItauIntBank, ItauLinkBank, oSaida, oSay, oHand,   ;
         oECobrCef, cECobrCef, cLinkCobrCef, cLinkBBra, oBBrasil, cBBrasil

   cBBrasil     := OemToAnsi( "Banco do Brasi&l S/A"       )
   cBradesco    := OemToAnsi( "&Banco Bradesco S/A"        )
   cBradIntBank := OemToAnsi( "Cobrana CAIXA"      )
   cCef         := OemToAnsi( "&Caixa Econmica Federal"   )
   cCefIntBank  := OemToAnsi( "Banco Brasil - BBCobrana"  )
   cECobrCef    := OemToAnsi( "&e-Cobrana Caixa Federal"  )
   cItau        := OemToAnsi( "Banco I&ta S/A"            )
   cItauIntBank := OemToAnsi( "Aguardando Nova Opo"      )

   SetBalloon( .T. ) // Balloon shape required for tooltips
   SkinButtons()     // Botoes Coloridos nas novas versoes

   DEFINE FONT oFnt  NAME "Ms Sans Serif" SIZE 00,  14 BOLD
   DEFINE FONT oFont NAME "Ms Sans Serif" SIZE 00, -14 BOLD

   DEFINE CURSOR oHand HAND

   /*
   DEFINE DIALOG oDlg FROM 0, 0 TO 500, 400 PIXEL                                ;
          TITLE OemToAnsi( "Escolha um Banco Para Navegar na Internet" ) ;
          COLORS CLR_BLACK, CLR_WHITE TRANSPARENT

   oDlg:lHelpIcon := .F.
   */

   DEFINE WINDOW oWnd FROM 0, 0 TO 500, 400 PIXEL ;
          TITLE OemToAnsi( "Escolha um Banco Para Navegar" ) ;
          COLORS CLR_BLACK, CLR_WHITE

   @ 10, 20 SAY OemToAnsi( "ESCOLHA O SEU BANCO PARA NAVEGAR." ) ;
            OF oWnd SIZE 400, 14 PIXEL ;
            COLORS CLR_HRED, CLR_WHITE FONT oFont TRANSPARENT UPDATE

   @ 280, 15 SAY OemToAnsi( "Obs: Caso Algum Link Quebre, Avise o Suporte." ) ;
             OF oWnd SIZE 400, 14 PIXEL                                       ;
             COLORS CLR_BLACK, CLR_WHITE FONT oFont TRANSPARENT UPDATE

   @ 300, 15 SAY OemToAnsi( "Cuidado: No Entre em Link Inseguro ou Suspeito." ) ;
             OF oWnd SIZE 400, 14 PIXEL                                       ;
             COLORS CLR_BLACK, CLR_WHITE FONT oFont TRANSPARENT UPDATE

   @ 320, 15 SAY OemToAnsi( "Deixe Sempre, Que o Navegador, Decida." )        ;
             OF oWnd SIZE 400, 14 PIXEL                                       ;
             COLORS CLR_BLACK, CLR_WHITE FONT oFont TRANSPARENT UPDATE

   @ 360, 10 SAY OemToAnsi( "<ESC> Sair" ) OF oWnd SIZE 70, 14 PIXEL ;
             COLORS CLR_BLACK, CLR_WHITE FONT oFnt TRANSPARENT UPDATE

   cLinkBBra := ( "www.bb.com.br" )

   @ 45, 10 SAY OemToAnsi( "I.E.:->" ) OF oWnd SIZE 70, 14 PIXEL ;
             COLORS CLR_HRED, CLR_WHITE FONT oFnt TRANSPARENT UPDATE

   // Banco do Brasil Nao Abre pelo Google Chrome
   @ 45, 90 BUTTON oBBrasil  PROMPT( cBBrasil ) OF oWnd SIZE 220, 20 PIXEL ;
            ACTION( MeuWinExec( "Start Iexplore.Exe "+cLinkBBra, 0 ) ) UPDATE
            //ACTION( ShellExecute(GetActiveWindow(),"open",'"'+cLinkBBra+'"') )

   oBBrasil:oCursor = oHand

   oBBrasil:cToolTip := OemToAnsi( "Dispara Para o Banco do Brasil S/A" )

   cLinkBrad := ( "www.bradesco.com.br/html/classic/index.shtm" )

   @ 70, 10 SAY OemToAnsi( "Google:->" ) OF oWnd SIZE 70, 14 PIXEL ;
             COLORS CLR_HRED, CLR_WHITE FONT oFnt TRANSPARENT UPDATE

   // Bradesco Abre pelo Google Chrome
   @ 70, 90 BUTTON oBradesco PROMPT( cBradesco ) OF oWnd SIZE 220, 20 PIXEL ;
            ACTION( ShellExecute(GetActiveWindow(),"open",'"'+cLinkBrad+'"') ) ;
            UPDATE

   oBradesco:oCursor = oHand

   oBradesco:cToolTip := OemToAnsi( "Dispara Para o Banco Bradesco S/A" )

   cLinkBradIntBank := ( "C:\caixa\cobranca\SINCOCli.exe" )

   @ 095, 10 SAY OemToAnsi( "Local:->" ) OF oWnd SIZE 70, 14 PIXEL ;
             COLORS CLR_HRED, CLR_WHITE FONT oFnt TRANSPARENT UPDATE

   @ 095, 90 BUTTON oBradIntBank PROMPT( cBradIntBank ) OF oWnd SIZE 220, 20 ;
             PIXEL UPDATE                                                    ;
             ACTION( MeuWinExec( cLinkBradIntBank, 0 ) )

   oBradIntBank:oCursor = oHand

   oBradIntBank:cToolTip := OemToAnsi( "Dispara Para o Cobrana Caixa" )

   cCaixa := ( "www.caixa.gov.br/Paginas/home-caixa.aspx" )

   @ 120, 10 SAY OemToAnsi( "I.E.:->" ) OF oWnd SIZE 70, 14 PIXEL ;
             COLORS CLR_HRED, CLR_WHITE FONT oFnt TRANSPARENT UPDATE

   // CEF Nao Abre pelo Google Chrome
   @ 120, 90 BUTTON oCef PROMPT( cCef ) OF oWnd SIZE 220, 20 PIXEL ;
            ACTION( MeuWinExec( "Start Iexplore.Exe "+cCaixa, 0 ) ) UPDATE
            // Somente Pelo Internet Explorer
            //ACTION( ShellExecute(GetActiveWindow(),"open",'"'+cCaixa+'"') )

   oCef:oCursor = oHand

   oCef:cToolTip := OemToAnsi( "Dispara Para a Caixa Econmica Federal" )

   cCaixaIntBank := ( "C:\BancoBrasil\BBCobranca\bbcbr.jar" )

   @ 145, 10 SAY OemToAnsi( "Local:->" ) OF oWnd SIZE 70, 14 PIXEL ;
             COLORS CLR_HRED, CLR_WHITE FONT oFnt TRANSPARENT UPDATE

   @ 145, 90 BUTTON oCefIntBank PROMPT( cCefIntBank ) OF oWnd SIZE 220, 20 ;
             PIXEL UPDATE                                                  ;
             ACTION( MeuWinExec( cCaixaIntBank, 0 ) )

   oCefIntBank:oCursor = oHand

   oCefIntBank:cToolTip := OemToAnsi( "Dispara Para o BBCobrana do Banco do Brasil" )

   cLinkCobrCef := ( "https://ecobranca.caixa.gov.br/ecobranca/index.jsp" )

   @ 170, 10 SAY OemToAnsi( "Google:->" ) OF oWnd SIZE 70, 14 PIXEL ;
             COLORS CLR_HRED, CLR_WHITE FONT oFnt TRANSPARENT UPDATE

   @ 170, 90 BUTTON oECobrCef PROMPT( cECobrCef ) OF oWnd SIZE 220, 20 PIXEL ;
             ACTION( ShellExecute(GetActiveWindow(),"open",'"'+cLinkCobrCef+'"') ) ;
             UPDATE

   oECobrCef:oCursor = oHand

   oECobrCef:cToolTip := OemToAnsi( "Dispara Para o e-Cobrana da Caixa Econmica Federal" )

   cLinkItau := ( "www.itau.com.br/" )

   @ 195, 10 SAY OemToAnsi( "Google:->" ) OF oWnd SIZE 70, 14 PIXEL ;
             COLORS CLR_HRED, CLR_WHITE FONT oFnt TRANSPARENT UPDATE

   @ 195, 90 BUTTON oItau PROMPT( cItau ) OF oWnd SIZE 220, 20 PIXEL         ;
             ACTION( ShellExecute(GetActiveWindow(),"open",'"'+cLinkItau+'"') ) ;
             UPDATE

   oItau:oCursor = oHand

   oItau:cToolTip := OemToAnsi( "Dispara Para o Banco Itu S/A" )

   ItauLinkBank := ( "www.itau.com.br/conveniencia/" )

   @ 220, 10 SAY OemToAnsi( "Google:->" ) OF oWnd SIZE 70, 14 PIXEL ;
             COLORS CLR_HRED, CLR_WHITE FONT oFnt TRANSPARENT UPDATE

   @ 220, 90 BUTTON  oItauIntBank PROMPT( cItauIntBank ) OF oWnd SIZE 220, 20 PIXEL ;
             WHEN( .F. ) UPDATE ;
             ACTION( ShellExecute(GetActiveWindow(),"open",'"'+ItauLinkBank+'"') )

   oItauIntBank:oCursor = oHand

   oItauIntBank:cToolTip := OemToAnsi( "Dispara Para o Internet Banking do Banco Itu S/A" )

   @ 400, 150 BUTTON oSaida PROMPT( "&Saida" ) OF oWnd SIZE 70, 20 PIXEL ;
              ACTION( oWnd:End() ) CANCEL UPDATE

   oSaida:oCursor = oHand

   oSaida:cToolTip := OemToAnsi( "Saida - Exit - Cancelar" )

   SET FONT OF oBBrasil     TO oFont
   SET FONT OF oBradesco    TO oFont
   SET FONT OF oBradIntBank TO oFont
   SET FONT OF oCef         TO oFont
   SET FONT OF oCefIntBank  TO oFont
   SET FONT OF oECobrCef    TO oFont
   SET FONT OF oItau        TO oFont
   SET FONT OF oItauIntBank TO oFont
   SET FONT OF oSaida       TO oFont

   ACTIVATE WINDOW oWnd

   oFnt:End()
   oFont:End()
 
RETURN NIL

FUNCTION MeuWinExec( cParametro )

    //LOCAL cExec := GetPvProfString("Editor","Pgm","notepad", cIniFile )
    LOCAL cExecute := GetPvProfString( "" )

    // NT, 2000 e XP
    IF  IsWinNT() .OR. IsWin2000()
        cExecute := GetEnv( "COMSPEC" ) + " /C "
    ENDIF

RETURN WinExec( cExecute + cParametro, 0 )

// FIM DO PROGRAMA
