// FUNCAO: DISPARAR PARA OS BANCOS, VIA LINK
// CRIADO EM:     26/05/2015 - Por: Joao
// MODIFICADO EM: 29/05/2015 - Por: Joao

#Include "FiveWin.Ch"

FUNCTION Main()

   Local oDlg, oFont, oFnt, oCef, cCef, cCaixa, oCefIntBank, cCefIntBank, ;
         cCaixaIntBank, oBradesco, cBradesco, cLinkBrad, oBradIntBank,    ;
         cBradIntBank, cLinkBradIntBank, oItau, cItau, cLinkItau,         ;
         oItauIntBank, cItauIntBank, ItauLinkBank, oSaida, oSay, oHand,   ;
         oECobrCef, cECobrCef, cLinkCobrCef, cLinkBBra, oBBrasil, cBBrasil

   cBBrasil     := OemToAnsi( "Banco do Brasi&l S/A"       )
   cBradesco    := OemToAnsi( "&Banco Bradesco S/A"        )
   cBradIntBank := OemToAnsi( "Cobrana CAIXA"      )
   cCef         := OemToAnsi( "&Caixa Econmica Federal"   )
   cCefIntBank  := OemToAnsi( "Banco Brasil - BBCobrana"  )
   cECobrCef    := OemToAnsi( "&e-Cobrana Caixa Federal"  )
   cItau        := OemToAnsi( "Banco I&ta S/A"            )
   cItauIntBank := OemToAnsi( "Aguardando Nova Opo"      )

   SetBalloon( .T. ) // Balloon shape required for tooltips
   SkinButtons()     // Botoes Coloridos nas novas versoes

   DEFINE FONT oFnt  NAME "Ms Sans Serif" SIZE 00,  14 BOLD
   DEFINE FONT oFont NAME "Ms Sans Serif" SIZE 00, -14 BOLD

   DEFINE CURSOR oHand HAND

   DEFINE DIALOG oDlg FROM 0, 0 TO 500, 400 PIXEL                                ;
          TITLE OemToAnsi( "Escolha um Banco Para Navegar na Internet" ) ;
          COLORS CLR_BLACK, CLR_WHITE TRANSPARENT

   oDlg:lHelpIcon := .F.


   @ 10, 20 SAY OemToAnsi( "ESCOLHA O SEU BANCO PARA NAVEGAR." ) ;
            OF oDlg SIZE 200, 12 PIXEL ;
            COLORS CLR_HRED, CLR_WHITE FONT oFont TRANSPARENT

   @ 200, 05 SAY OemToAnsi( "<ESC> Sair" ) OF oDlg SIZE 40, 12 PIXEL ;
             COLORS CLR_BLACK, CLR_WHITE FONT oFnt TRANSPARENT

   @ 210, 15 SAY OemToAnsi( "Obs: Caso Algum Link Quebre, Avise o Suporte." ) ;
             OF oDlg SIZE 200, 12 PIXEL                                       ;
             COLORS CLR_BLACK, CLR_WHITE FONT oFont TRANSPARENT

   @ 220, 15 SAY OemToAnsi( "Cuidado: No Entre em Link Inseguro ou Suspeito." ) ;
             OF oDlg SIZE 200, 12 PIXEL                                       ;
             COLORS CLR_BLACK, CLR_WHITE FONT oFont TRANSPARENT

   @ 230, 15 SAY OemToAnsi( "Deixe Sempre, Que o Navegador, Decida." )        ;
             OF oDlg SIZE 200, 12 PIXEL                                       ;
             COLORS CLR_BLACK, CLR_WHITE FONT oFont TRANSPARENT

   cLinkBBra := ( "www.bb.com.br" )

   @ 35, 05 SAY OemToAnsi( "I.E.:->" ) OF oDlg SIZE 40, 12 PIXEL ;
             COLORS CLR_HRED, CLR_WHITE FONT oFnt TRANSPARENT

   // Banco do Brasil Nao Abre pelo Google Chrome
   @ 35, 40 BUTTON oBBrasil  PROMPT( cBBrasil ) OF oDlg SIZE 120, 12 PIXEL ;
            ACTION( MeuWinExec( "Start Iexplore.Exe "+cLinkBBra, 0 ) )
            //ACTION( ShellExecute(GetActiveWindow(),"open",'"'+cLinkBBra+'"') )

   oBBrasil:oCursor = oHand

   oBBrasil:cToolTip := OemToAnsi( "Dispara Para o Banco do Brasil S/A" )

   cLinkBrad := ( "www.bradesco.com.br/html/classic/index.shtm" )

   @ 55, 05 SAY OemToAnsi( "Google:->" ) OF oDlg SIZE 40, 12 PIXEL ;
             COLORS CLR_HRED, CLR_WHITE FONT oFnt TRANSPARENT

   // Bradesco Abre pelo Google Chrome
   @ 55, 40 BUTTON oBradesco PROMPT( cBradesco ) OF oDlg SIZE 120, 12 PIXEL ;
            ACTION( ShellExecute(GetActiveWindow(),"open",'"'+cLinkBrad+'"') )

   oBradesco:oCursor = oHand

   oBradesco:cToolTip := OemToAnsi( "Dispara Para o Banco Bradesco S/A" )

   cLinkBradIntBank := ( "C:\caixa\cobranca\SINCOCli.exe" )

   @ 75, 05 SAY OemToAnsi( "Local:->" ) OF oDlg SIZE 40, 12 PIXEL ;
             COLORS CLR_HRED, CLR_WHITE FONT oFnt TRANSPARENT

   @ 75, 40 BUTTON oBradIntBank PROMPT( cBradIntBank ) OF oDlg SIZE 120, 12 PIXEL ;
                         ACTION( MeuWinExec( cLinkBradIntBank, 0 ) )

   oBradIntBank:oCursor = oHand

   oBradIntBank:cToolTip := OemToAnsi( "Dispara Para o Cobrana Caixa" )

   cCaixa := ( "www.caixa.gov.br/Paginas/home-caixa.aspx" )

   @ 95, 05 SAY OemToAnsi( "I.E.:->" ) OF oDlg SIZE 40, 12 PIXEL ;
             COLORS CLR_HRED, CLR_WHITE FONT oFnt TRANSPARENT

   // CEF Nao Abre pelo Google Chrome
   @ 95, 40 BUTTON oCef PROMPT( cCef ) OF oDlg SIZE 120, 12 PIXEL ;
            ACTION( MeuWinExec( "Start Iexplore.Exe "+cCaixa, 0 ) )
            // Somente Pelo Internet Explorer
            //ACTION( ShellExecute(GetActiveWindow(),"open",'"'+cCaixa+'"') )

   oCef:oCursor = oHand

   oCef:cToolTip := OemToAnsi( "Dispara Para a Caixa Econmica Federal" )

   cCaixaIntBank := ( "C:\BancoBrasil\BBCobranca\bbcbr.jar" )

   @ 115, 05 SAY OemToAnsi( "Local:->" ) OF oDlg SIZE 40, 12 PIXEL ;
             COLORS CLR_HRED, CLR_WHITE FONT oFnt TRANSPARENT

   @ 115, 40 BUTTON oCefIntBank PROMPT( cCefIntBank ) OF oDlg SIZE 120, 12 PIXEL ;
             ACTION( MeuWinExec( cCaixaIntBank, 0 ) )

   oCefIntBank:oCursor = oHand

   oCefIntBank:cToolTip := OemToAnsi( "Dispara Para o BBCobrana do Banco do Brasil" )

   cLinkCobrCef := ( "https://ecobranca.caixa.gov.br/ecobranca/index.jsp" )

   @ 135, 05 SAY OemToAnsi( "Google:->" ) OF oDlg SIZE 40, 12 PIXEL ;
             COLORS CLR_HRED, CLR_WHITE FONT oFnt TRANSPARENT

   @ 135, 40 BUTTON oECobrCef PROMPT( cECobrCef ) OF oDlg SIZE 120, 12 PIXEL ;
             ACTION( ShellExecute(GetActiveWindow(),"open",'"'+cLinkCobrCef+'"') )

   oECobrCef:oCursor = oHand

   oECobrCef:cToolTip := OemToAnsi( "Dispara Para o e-Cobrana da Caixa Econmica Federal" )

   cLinkItau := ( "www.itau.com.br/" )

   @ 155, 05 SAY OemToAnsi( "Google:->" ) OF oDlg SIZE 40, 12 PIXEL ;
             COLORS CLR_HRED, CLR_WHITE FONT oFnt TRANSPARENT

   @ 155, 40 BUTTON oItau PROMPT( cItau ) OF oDlg SIZE 120, 12 PIXEL         ;
             ACTION( ShellExecute(GetActiveWindow(),"open",'"'+cLinkItau+'"') )

   oItau:oCursor = oHand

   oItau:cToolTip := OemToAnsi( "Dispara Para o Banco Itu S/A" )

   ItauLinkBank := ( "www.itau.com.br/conveniencia/" )

   @ 175, 05 SAY OemToAnsi( "Google:->" ) OF oDlg SIZE 40, 12 PIXEL ;
             COLORS CLR_HRED, CLR_WHITE FONT oFnt TRANSPARENT

   @ 175, 40 BUTTON  oItauIntBank PROMPT( cItauIntBank ) OF oDlg SIZE 120, 12 PIXEL ;
             WHEN( .F. ) ;
             ACTION( ShellExecute(GetActiveWindow(),"open",'"'+ItauLinkBank+'"') )

   oItauIntBank:oCursor = oHand

   oItauIntBank:cToolTip := OemToAnsi( "Dispara Para o Internet Banking do Banco Itu S/A" )

   @ 195, 75 BUTTON oSaida PROMPT( "&Saida" ) OF oDlg SIZE 40, 12 PIXEL ;
             ACTION( oDlg:End() ) CANCEL

   oSaida:oCursor = oHand

   oSaida:cToolTip := OemToAnsi( "Saida - Exit - Cancelar" )

   SET FONT OF oBBrasil     TO oFont
   SET FONT OF oBradesco    TO oFont
   SET FONT OF oBradIntBank TO oFont
   SET FONT OF oCef         TO oFont
   SET FONT OF oCefIntBank  TO oFont
   SET FONT OF oECobrCef    TO oFont
   SET FONT OF oItau        TO oFont
   SET FONT OF oItauIntBank TO oFont
   SET FONT OF oSaida       TO oFont

   ACTIVATE DIALOG oDlg CENTERED ;
            ON PAINT( oDlg:Refresh(), oDlg:UpDate() )

   oFnt:End()
   oFont:End()
 
RETURN NIL

FUNCTION MeuWinExec( cParametro )

    //LOCAL cExec := GetPvProfString("Editor","Pgm","notepad", cIniFile )
    LOCAL cExecute := GetPvProfString( "" )

    // NT, 2000 e XP
    IF  IsWinNT() .OR. IsWin2000()
        cExecute := GetEnv( "COMSPEC" ) + " /C "
    ENDIF

RETURN WinExec( cExecute + cParametro, 0 )

// FIM DO PROGRAMA
